<?php
saxue_includedb();
class saxuememberbill extends saxueobjectdata {
		function saxuememberbill() {
				$this -> initvar( "id", SAXUE_TYPE_INT, 0, "流水号", false, 11 );
				$this -> initvar( "uid", SAXUE_TYPE_INT, 0, "会员ID", false, 11 );
				$this -> initvar( "amount", SAXUE_TYPE_OTHER, "0.00", "提现金额", false, null );
				$this -> initvar( "applytime", SAXUE_TYPE_INT, 0, "申请日期", false, 10 );
				$this -> initvar( "paytime", SAXUE_TYPE_INT, 0, "支付日期", false, 10 );
				$this -> initvar( "status", SAXUE_TYPE_INT, 0, "状态", false, 1 );
				$this -> initvar( "account", SAXUE_TYPE_TXTBOX, "", "支付帐号", false, 50 );
				$this -> initvar( "reason", SAXUE_TYPE_TXTBOX, "", "原因备注", false, 200 );
		} 
} 

class saxuememberbillhandler extends saxueobjecthandler {
		function saxuememberbillhandler( $_db = "" ) {
				$this -> saxueobjecthandler( $_db );
				$this -> basename = "memberbill";
				$this -> autoid = "id";
				$this -> dbname = "member_bill";
		} 
}